{Updating livestock on debbie's 2mb computer}
program UpLstk;
{$I compflgs}

{$IFNDEF Install} Make sure youve defined INstall flag in compflgs.pas {$ENDIF}

uses
{$IFDEF MSDOS}
		overlay, overinit,                   {Std overlay unit, plus overlay initialisation unit}
{$ENDIF}
	tuiapp,
	dosutils,
status,
	klivestk,
	global,
	fixit;

{HAve to overlay or get too many relocation items}
{$O klivestk}

{$O notes} {$O tuicalc}
{$O linklist}

{$O inpjimmy}

{$O fixit}
{$O indxutil} {$O devices} {$O printers}
{$O indexes} {$O scodes} {$O files}

{$O views} {$O dialogs} {$O app} {$O tuiedit} {$O tuilist} {$O tui}{$O tuimsgs}

{$O indexes} {$O jimhooks} {$O jimindxs}{$O jimmys}
{$O dattime}{$O tuimsgs}
{$O inpjimmy}{$O tuijimmy}


procedure RePutJimmys;
begin
	ForAllJimmys('UPDATE','Re putting all jimmys',DoJimmyPut,OnNilDoStd);{}
end;

procedure ReStoreSelfJimmys;
begin
	ForAllJimmys('UPDATE','Re-indexing/hooking - complete re-storeself',DoJimmyStoreSelf,OnNilDoStd);{}
end;

begin
	New(Kameleon, init);
	Kameleon^.Draw;
{	ReputJimmys; {}
{	CopyFile(DataPath+'LSTKHERD.IDX',DataPath+'HERDSTK');{}
	RestoreselfJimmys;{}
	ProgramStatus.SetDataVer(Version,SubVersion,Release); {update for checks below}
	dispose(Kameleon, done);
end.
